Subject: bug#53145: "cut" can't segment Chinese characters correctly?

From: zendas <[email-masked]>
Date: Sun, 09 Jan 2022 18:53:29 +0000

Hello, I need to get Chinese characters from the string. I googled a lot of documents, it seems that the -c parameter of cut should be able to meet my needs, but I even directly execute the instructions on the web page, and the result is different from the demonstration. I have searched dozens of pages but the results are not the same as the demo, maybe this is a bug?

For example:
https://blog.csdn.net/xuzhangze/article/details/80930714
the result of my attempt:
[螢幕快照 2022-01-10 02:49:46.png]